package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ack;
import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.bo.Sro;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.Wfe;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报文发送mapper
 *
 
 */
public interface MsgSndMapper {

    /**
     * 查询待发送的swift报文
     *
     * @return 查询结果
     */
    List<Wfe> selectSend(@Param("srv") String srv, @Param("wfsInr") String wfsInr);

    Bch selectBchRef(@Param("inr") String inr);

    String selectUncommitData(@Param("objInr") String objInr);

    int updateSucWfe(@Param("vo") Wfe wfe, @Param("sroList") List<Sro> sroList);

    Ack selectExistsAck(@Param("vo") Ack ack);
}
